﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Test.aspx.cs" Inherits="RadtabStripTestProject.OborotnoRadTabStrip4e.Test" %>


<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />

    <style type="text/css">
        .exampleWrapper {
            position: relative;
            height: 250px;
        }

        .tabStrip {
            position: absolute;
            top: 0;
        }

        .multiPage {
            position: absolute;
            top: 24px;
        }

            .multiPage ul {
                position: absolute;
                left: 170px;
                top: 20px;
                list-style: none;
            }

                .multiPage ul li {
                    color: #34555b;
                    padding-left: 24px;
                    margin-top: 15px;
                }

        .corporatePageView {
            height: 218px;
            margin: 2px 0 0 0;
        }

        .productsPageView {
            height: 218px;
            margin: 2px 0 0 0;
        }

        .servicesPageView {
            height: 218px;
            margin: 2px 0 0 0;
        }

        .rtsIn img {
            vertical-align: middle;
            width: 14px;
            height: 14px;
            margin-left: 10px;
        }

        .rtsIn .textWrapper {
            display: inline;
        }

        /* IE6 fixes for line-height bug */
        * html .rtsIn img {
            margin-bottom: 10px;
        }

        * html .rtsIn .textWrapper {
            float: left;
            height: 26px;
        }

        * html .rtsIn .ie6shim {
            height: 26px;
            display: inline-block;
        }
    </style>

</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager runat="server" ID="RadScriptManager1" />
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" _ClientEvents-OnRequestStart="mngRequestStarted" OnAjaxRequest="RadAjaxManager1_AjaxRequest">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="RadTabStrip1">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="RadTabStrip1"></telerik:AjaxUpdatedControl>
                        <telerik:AjaxUpdatedControl ControlID="RadMultiPage1" LoadingPanelID="RadAjaxLoadingPanel1"></telerik:AjaxUpdatedControl>
                    </UpdatedControls>
                </telerik:AjaxSetting>
                <telerik:AjaxSetting AjaxControlID="RadMultiPage1">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="RadMultiPage1" LoadingPanelID="RadAjaxLoadingPanel1"></telerik:AjaxUpdatedControl>
                    </UpdatedControls>
                </telerik:AjaxSetting>
                <telerik:AjaxSetting AjaxControlID="RadAjaxManager1">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="RadTabStrip1" LoadingPanelID="RadAjaxLoadingPanel1"></telerik:AjaxUpdatedControl>
                        <telerik:AjaxUpdatedControl ControlID="RadWindowManager1"></telerik:AjaxUpdatedControl>
                    </UpdatedControls>
                </telerik:AjaxSetting>
                <telerik:AjaxSetting AjaxControlID="RadTabStrip1_Menu">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="RadWindowManager1"></telerik:AjaxUpdatedControl>
                        <telerik:AjaxUpdatedControl ControlID="RadTabStrip1" LoadingPanelID="RadAjaxLoadingPanel1"></telerik:AjaxUpdatedControl>
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>

        <telerik:RadFormDecorator ID="QsfFromDecorator" runat="server" DecoratedControls="All" EnableRoundedCorners="false" />
        <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
            <script type="text/javascript">
                /* <![CDATA[ */
                function deleteTab(tabText) {
                    var tabStrip = $find("<%= RadTabStrip1.ClientID %>");
                    var multiPage = $find("<%= RadMultiPage1.ClientID %>");
                    var tab = tabStrip.findTabByText(tabText);
                    var pageView = tab.get_pageView();

                    var tabToSelect = tab.get_nextTab();
                    if (!tabToSelect)
                        tabToSelect = tab.get_previousTab();

                    tabStrip.get_tabs().remove(tab);
                    multiPage.get_pageViews().remove(pageView);

                    if (tabToSelect)
                        tabToSelect.set_selected(true);
                }
                /* ]]> */
            </script>
        </telerik:RadCodeBlock>

        <div class="exampleWrapper">
            <telerik:RadTabStrip runat="server" ID="RadTabStrip1" Orientation="HorizontalTop" EnableDragToReorder="true" AutoPostBack="true"
                Skin="WebBlue" SelectedIndex="0" MultiPageID="RadMultiPage1">
                <TabTemplate>
                    <div class="textWrapper">
                        <%# DataBinder.Eval(Container, "Text") %>
                    </div>
                    <span class="ie6shim"></span>
                    <img src="delete.gif" alt="delete" onclick="deleteTab('<%# DataBinder.Eval(Container, "Text") %>')" />
                </TabTemplate>
                <Tabs>
                    <telerik:RadTab Text="Products">
                    </telerik:RadTab>
                    <telerik:RadTab Text="Services">
                    </telerik:RadTab>
                    <telerik:RadTab Text="Corporate">
                    </telerik:RadTab>
                </Tabs>
            </telerik:RadTabStrip>
            <telerik:RadMultiPage runat="server" ID="RadMultiPage1" SelectedIndex="0" Height="224px"
                Width="396px" CssClass="multiPage">
                <telerik:RadPageView runat="server" ID="RadPageView1" CssClass="corporatePageView">
                    content1
                </telerik:RadPageView>
                <telerik:RadPageView runat="server" ID="RadPageView2" CssClass="productsPageView">
                    content2
                </telerik:RadPageView>
                <telerik:RadPageView runat="server" ID="RadPageView3" CssClass="servicesPageView">
                    content3
                </telerik:RadPageView>
            </telerik:RadMultiPage>
        </div>
        <div>
            <asp:Button runat="server" ID="Button1" Text="Reset RadTabStrip" CssClass="qsfButton"
                OnClick="Button1_Click"></asp:Button>
        </div>

    </form>
</body>
</html>
